| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Image
Image.Color
Image.Color.Color

# Method Image.Color.Color()->`==()

Method `==

  `int `==(object other_color)`
  `int `==(array(int) rgb)`
  `int `==(int greylevel)`
  `int `==(string name)`

Description

  Compares this object to another color, or color name. Example:

      object red=Image.Color.red;
      object other=Image.Color. ...;
      object black=Image.Color.black;

      if (red==other) ...
      if (red==({255,0,0})) ...
      if (black==0) ...
      if (red=="red") ...

Returns

  1 or 0

Note

  The other datatype (not color object) must be to the right!

See also

  rgb , grey , name